### Class

# Gck Module

#### Description [src]

    class Gck.Module : GObject.Object
    {
      /* No available fields */
    }

Holds a loaded PKCS#11 module. A PKCS#11 module is a shared library.

You can load and initialize a PKCS#11 module with the `gck_module_initialize()` call. If you already have a loaded and initialized module that you’d like to use with the various Gck functions, then you can use `gck_module_new()`.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gck_module_new

Create a `GckModule` representing a PKCS#11 module. It is assumed that this the module is already initialized. In addition it will not be finalized when complete.

#### Functions

###### gck_module_initialize

Load and initialize a PKCS#11 module represented by a GckModule object.

###### gck_module_initialize_async

Asynchronously load and initialize a PKCS#11 module represented by a `GckModule` object.

###### gck_module_initialize_finish

Finishes the asynchronous initialize operation.

#### Instance methods

###### gck_module_equal

Checks equality of two modules. Two GckModule objects can point to the same underlying PKCS#11 module.

###### gck_module_get_functions

Get the PKCS#11 function list for the module.

###### gck_module_get_info

Get the info about a PKCS#11 module.

###### gck_module_get_path

Get the file path of this module. This may not be an absolute path, and usually reflects the path passed to `gck_module_initialize()`.

###### gck_module_get_slots

Get the GckSlot objects for a given module.

###### gck_module_hash

Create a hash value for the GckModule.

###### gck_module_match

Check whether the PKCS#11 URI matches the module.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gck.Module:functions

The raw PKCS#11 function list for the module.

###### Gck.Module:path

The PKCS#11 module file path.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GckModuleClass {
      GObjectClass parent;
      gboolean (* authenticate_slot) (
        GckModule* self,
        GckSlot* slot,
        gchar* label,
        gchar** password
      );
      gboolean (* authenticate_object) (
        GckModule* self,
        GckObject* object,
        gchar* label,
        gchar** password
      );

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.

`authenticate_slot: gboolean (* authenticate_slot) ( GckModule* self, GckSlot* slot, gchar* label, gchar** password )`

  No description available.

`authenticate_object: gboolean (* authenticate_object) ( GckModule* self, GckObject* object, gchar* label, gchar** password )`

  No description available.

#### Virtual methods

###### Gck.ModuleClass.authenticate_object

No description available.

###### Gck.ModuleClass.authenticate_slot

No description available.